Package: org.gradle.api.artifacts

## [Java] Class ResolveException

- org.gradle.api.artifacts.ResolveException

- A `ResolveException` is thrown when a dependency configuration cannot be resolved for some reason.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ResolveException (String resolveContext, Throwable cause)`
    `ResolveException (String resolveContext, Iterable<? extends Throwable> causes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.internal.exceptions.DefaultMultiCauseException` | `org.gradle.internal.exceptions.DefaultMultiCauseException#printStackTrace(java.io.PrintStream), org.gradle.internal.exceptions.DefaultMultiCauseException#printStackTrace(java.io.PrintWriter), org.gradle.internal.exceptions.DefaultMultiCauseException#getCause(), org.gradle.internal.exceptions.DefaultMultiCauseException#initCause(java.lang.Throwable), org.gradle.internal.exceptions.DefaultMultiCauseException#getCauses(), org.gradle.internal.exceptions.DefaultMultiCauseException#initCauses(java.lang.Iterable), org.gradle.internal.exceptions.DefaultMultiCauseException#printStackTrace(), org.gradle.internal.exceptions.DefaultMultiCauseException#fillInStackTrace(), org.gradle.internal.exceptions.DefaultMultiCauseException#toString(), org.gradle.internal.exceptions.DefaultMultiCauseException#getMessage(), org.gradle.internal.exceptions.DefaultMultiCauseException#getLocalizedMessage(), org.gradle.internal.exceptions.DefaultMultiCauseException#getStackTrace(), org.gradle.internal.exceptions.DefaultMultiCauseException#setStackTrace([Ljava.lang.StackTraceElement;), org.gradle.internal.exceptions.DefaultMultiCauseException#addSuppressed(java.lang.Throwable), org.gradle.internal.exceptions.DefaultMultiCauseException#getSuppressed(), org.gradle.internal.exceptions.DefaultMultiCauseException#wait(long, int), org.gradle.internal.exceptions.DefaultMultiCauseException#wait(long), org.gradle.internal.exceptions.DefaultMultiCauseException#wait(), org.gradle.internal.exceptions.DefaultMultiCauseException#equals(java.lang.Object), org.gradle.internal.exceptions.DefaultMultiCauseException#hashCode(), org.gradle.internal.exceptions.DefaultMultiCauseException#getClass(), org.gradle.internal.exceptions.DefaultMultiCauseException#notify(), org.gradle.internal.exceptions.DefaultMultiCauseException#notifyAll()`
    `class GradleException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ResolveException(String resolveContext, Throwable cause)

    - #### public ResolveException(String resolveContext, Iterable<? extends Throwable> causes)